## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global repo dde-session-shell
%global dde_prefix deepin

Name:           %{dde_prefix}-session-shell
Version:        5.5.34
Release:        %autorelease
Summary:        Deepin Desktop Environment - session-shell module
License:        GPLv3+
URL:            https://github.com/linuxdeepin/%{repo}
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  dtkcore-devel >= 5.5.23
BuildRequires:  qt5-linguist
BuildRequires:  dtkwidget-devel >= 5.1
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXtst-devel
BuildRequires:  libXi-devel
BuildRequires:  xcb-util-wm xcb-util-wm-devel
BuildRequires:  %{dde_prefix}-qt-dbus-factory-devel
BuildRequires:  gsettings-qt-devel
BuildRequires:  lightdm-qt5-devel
BuildRequires:  pam-devel
BuildRequires:  gtest-devel
BuildRequires:  openssl-devel
BuildRequires:  make
# provides needed directories
Requires:       dbus-common
Requires:       %{_bindir}/qdbus-qt5
# used by /etc/deepin/greeters.d/00-xrandr
Requires:       %{_bindir}/xrandr
# used by /etc/deepin/greeters.d/10-cursor-theme
Requires:       %{_bindir}/xrdb
Requires:       lightdm
Provides:       lightdm-deepin-greeter%{?_isa} = %{version}-%{release}
Provides:       lightdm-greeter = 1.2

%description
deepin-session-shell - Deepin desktop-environment - session-shell module.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files for %{name}.

%prep
%autosetup -p1 -n %{repo}-%{version}
sed -i 's:/usr/lib:%{_libexecdir}:' scripts/lightdm-deepin-greeter
# We don't have common-auth on Fedora
sed -i 's/common-auth/password-auth/' src/libdde-auth/deepinauthframework.cpp


%build
export PATH=$PATH:%{_qt5_bindir}
%cmake
%cmake_build

%install
%cmake_install
mkdir -p %{buildroot}%{_libdir}
mv %{buildroot}/cmake %{buildroot}%{_libdir}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/dde-*.desktop

%files
%{_bindir}/dde-lock
%{_bindir}/lightdm-deepin-greeter
%attr(755,root,root) %{_bindir}/deepin-greeter
%{_sysconfdir}/deepin/
%{_sysconfdir}/lightdm/deepin/
%{_datadir}/dde-session-shell/
%{_datadir}/deepin-authentication/
%{_datadir}/applications/dde-lock.desktop
%{_datadir}/xgreeters/lightdm-deepin-greeter.desktop
%{_datadir}/dbus-1/services/com.deepin.dde.lockFront.service
%{_datadir}/dbus-1/services/com.deepin.dde.shutdownFront.service
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/dsg/

%files devel
%{_includedir}/%{repo}
%{_libdir}/cmake/DdeSessionShell/DdeSessionShellConfig.cmake

%changelog
* Mon Aug 22 2022 Robin Lee <cheeselee@fedoraproject.org> 5.5.34-1
- New release 5.5.34

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 5.5.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Apr 19 2022 Robin Lee <cheeselee@fedoraproject.org> 5.5.24-1
- New release 5.5.24

* Fri Feb 18 2022 Robin Lee <cheeselee@fedoraproject.org> 5.4.112-3
- Fix initialization hang with black screen

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 5.4.112-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 04 2022 Robin Lee <cheeselee@fedoraproject.org> 5.4.112-1
- New release 5.4.112

* Tue Sep 07 2021 Robin Lee <cheeselee@fedoraproject.org> 5.4.58-1
- New release 5.4.58

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.0.45-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Mar 12 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.3.0.45-1
- fix: 添加工作区后登录桌面过程中背景图片显示错误 (liuxing)
- fix: 待机唤醒先显示桌面后显示锁屏 (Zhang Qipeng)
- fix: logind username covered by logined LOGO (xuyanghe)
- fix: 使用xsettings来配置缩放 (hubenchang0515)
- fix: The style of login box is wrong (Zhang Qipeng)
- fix: logind username uncompleting (xuyanghe)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.0.29-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Nov 29 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.3.0.29-2
- Work around hang of dde-lock

* Fri Nov 27 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.3.0.29-1
- new upstream release: 5.3.0.29

* Tue Nov 17 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.3.0.24-1
- Update to 5.3.0.24

* Sat Nov 14 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.3.0.22-2
- Requires dbus-common

* Fri Nov 13 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.3.0.22-1
- Initial packaging

